Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.imageio.stream
Class StreamSegment

    java.lang.Object
      |
      +--com.sun.media.imageio.stream.StreamSegment

public class StreamSegment
extends Object

A utility class representing a segment within a stream as a `long` starting position and an `int` length.

Constructor Summary
`StreamSegment()` Constructs a `StreamSegment`.
`StreamSegment(long startPos, int segmentLength)` Constructs a `StreamSegment` with a given starting position and length.

Method Summary
`int` | `getSegmentLength()` Returns the length of the segment.
`long` | `getStartPos()` Returns the starting position of the segment.
`void` | `setSegmentLength(int segmentLength)` Sets the length of the segment.
`void` | `setStartPos(long startPos)` Sets the starting position of the segment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamSegment

    public StreamSegment()

  Constructs a `StreamSegment`. The starting position and length are set to 0.

### StreamSegment

    public StreamSegment(long startPos,
                         int segmentLength)

  Constructs a `StreamSegment` with a given starting position and length.

Method Detail

### getStartPos

    public final long getStartPos()

  Returns the starting position of the segment.

### setStartPos

    public final void setStartPos(long startPos)

  Sets the starting position of the segment.

### getSegmentLength

    public final int getSegmentLength()

  Returns the length of the segment.

### setSegmentLength

    public final void setSegmentLength(int segmentLength)

  Sets the length of the segment.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD